
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.3-alpha1</title>
</head><body onload="loadPkgPane('HttpCore NIO 4.3-alpha1: org.apache.http.nio.integration', 'pkg-test.html');">
  <!-- render overall pkg coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET</div>

        
                <div class="navBar"><span class="navBarCurrent">Test</span>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a></div>
        
                    	<div class="navBar"><a href="../../../../../testsrc-pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="testsrc-pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.nio.integration:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      1,486
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      4,338
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      356
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      7.21
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      254
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      3,199
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.24
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      11.44
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      206
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      13
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1.73
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      18
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.nio.integration:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      1,486
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      4,338
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      356
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      7.21
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      254
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      3,199
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.24
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      11.44
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      206
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      13
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1.73
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      18
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;Package</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Files</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.nio.integration</span>
    	   org.apache.http.nio.integration
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">13.0</span>
          13
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.7281554</span>
          1.73
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">154.0</span>
          154
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.92086333</span>
          92.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.92086333</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="7.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="92.1% Covered" class="barPositive " style="width: 92.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Class</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Methods</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr>  <!-- render list of class coverage graphs -->
                 <tr>
    <td class="graphItem">
			
	        <span class="sortValue">Job</span>
    	  <a href="Job.html#Job" title="Job">Job</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">16.0</span>
          16
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.3125</span>
          1.31
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">18.0</span>
          18
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.72307694</span>
          72.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.72307694</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="27.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="72.3% Covered" class="barPositive " style="width: 72.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestTruncatedChunks.BrokenChunkEncoder</span>
    	  <a href="TestTruncatedChunks.html#TestTruncatedChunks.BrokenChunkEncoder" title="TestTruncatedChunks.BrokenChunkEncoder">TestTruncatedChunks.BrokenChunkEncoder</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.7777778</span>
          77.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.7777778</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="22.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="77.8% Covered" class="barPositive " style="width: 77.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestTruncatedChunks.LenientAsyncResponseConsumer</span>
    	  <a href="TestTruncatedChunks.html#TestTruncatedChunks.LenientAsyncResponseConsumer" title="TestTruncatedChunks.LenientAsyncResponseConsumer">TestTruncatedChunks.LenientAsyncResponseConsumer</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5</span>
          1.5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.7826087</span>
          78.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.7826087</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="21.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="78.3% Covered" class="barPositive " style="width: 78.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestTruncatedChunks.CustomServerConnectionFactory</span>
    	  <a href="TestTruncatedChunks.html#TestTruncatedChunks.CustomServerConnectionFactory" title="TestTruncatedChunks.CustomServerConnectionFactory">TestTruncatedChunks.CustomServerConnectionFactory</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.3333334</span>
          1.33
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8</span>
          80%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="20% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="80% Covered" class="barPositive " style="width: 80%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">RequestExecutionHandler</span>
    	  <a href="RequestExecutionHandler.html#RequestExecutionHandler" title="RequestExecutionHandler">RequestExecutionHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2</span>
          2.2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.82051283</span>
          82.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.82051283</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="17.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="82.1% Covered" class="barPositive " style="width: 82.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestHttpAsyncHandlers.DelayedRequestHandler</span>
    	  <a href="TestHttpAsyncHandlers.html#TestHttpAsyncHandlers.DelayedRequestHandler" title="TestHttpAsyncHandlers.DelayedRequestHandler">TestHttpAsyncHandlers.DelayedRequestHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.75</span>
          1.75
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.85</span>
          85%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.85</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="15% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="85% Covered" class="barPositive " style="width: 85%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">SimpleRequestHandler</span>
    	  <a href="SimpleRequestHandler.html#SimpleRequestHandler" title="SimpleRequestHandler">SimpleRequestHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.3333333</span>
          2.33
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.85294116</span>
          85.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.85294116</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="14.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="85.3% Covered" class="barPositive " style="width: 85.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">RequestHandler</span>
    	  <a href="RequestHandler.html#RequestHandler" title="RequestHandler">RequestHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8611111</span>
          86.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8611111</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="13.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="86.1% Covered" class="barPositive " style="width: 86.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestHttpAsyncPrematureTermination</span>
    	  <a href="TestHttpAsyncPrematureTermination.html#TestHttpAsyncPrematureTermination" title="TestHttpAsyncPrematureTermination">TestHttpAsyncPrematureTermination</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">24.0</span>
          24
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">12.0</span>
          12
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8695652</span>
          87%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8695652</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="13% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="87% Covered" class="barPositive " style="width: 87%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestPipelining</span>
    	  <a href="TestPipelining.html#TestPipelining" title="TestPipelining">TestPipelining</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">11.0</span>
          11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.1818181</span>
          1.18
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">10.0</span>
          10
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8979592</span>
          89.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8979592</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="10.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="89.8% Covered" class="barPositive " style="width: 89.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestThrottlingNHttpHandlers</span>
    	  <a href="TestThrottlingNHttpHandlers.html#TestThrottlingNHttpHandlers" title="TestThrottlingNHttpHandlers">TestThrottlingNHttpHandlers</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">30.0</span>
          30
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.3333333</span>
          2.33
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">33.0</span>
          33
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.91831684</span>
          91.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.91831684</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.8% Covered" class="barPositive " style="width: 91.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestAsyncNHttpHandlers</span>
    	  <a href="TestAsyncNHttpHandlers.html#TestAsyncNHttpHandlers" title="TestAsyncNHttpHandlers">TestAsyncNHttpHandlers</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">40.0</span>
          40
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.225</span>
          2.22
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">40.0</span>
          40
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9257885</span>
          92.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9257885</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="7.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="92.6% Covered" class="barPositive " style="width: 92.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestHttpAsyncHandlerCancellable</span>
    	  <a href="TestHttpAsyncHandlerCancellable.html#TestHttpAsyncHandlerCancellable" title="TestHttpAsyncHandlerCancellable">TestHttpAsyncHandlerCancellable</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">16.0</span>
          16
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9605263</span>
          96.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9605263</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="3.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="96.1% Covered" class="barPositive " style="width: 96.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestTruncatedChunks</span>
    	  <a href="TestTruncatedChunks.html#TestTruncatedChunks" title="TestTruncatedChunks">TestTruncatedChunks</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.1666666</span>
          1.17
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9777778</span>
          97.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9777778</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="2.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="97.8% Covered" class="barPositive " style="width: 97.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestHttpAsyncHandlers</span>
    	  <a href="TestHttpAsyncHandlers.html#TestHttpAsyncHandlers" title="TestHttpAsyncHandlers">TestHttpAsyncHandlers</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">28.0</span>
          28
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9904306</span>
          99%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9904306</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="99% Covered" class="barPositive " style="width: 99%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">RndTestPatternGenerator</span>
    	  <a href="RndTestPatternGenerator.html#RndTestPatternGenerator" title="RndTestPatternGenerator">RndTestPatternGenerator</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5</span>
          1.5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestHttpAsyncHandlers.FailingRequestHandler</span>
    	  <a href="TestHttpAsyncHandlers.html#TestHttpAsyncHandlers.FailingRequestHandler" title="TestHttpAsyncHandlers.FailingRequestHandler">TestHttpAsyncHandlers.FailingRequestHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestHttpsAsyncHandlers</span>
    	  <a href="TestHttpsAsyncHandlers.html#TestHttpsAsyncHandlers" title="TestHttpsAsyncHandlers">TestHttpsAsyncHandlers</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>